Bug 131385 - CAN-2004-0797: inflate() and inflateBack() functions don't properly handle errors
CAN-2004-0797: inflate() and inflateBack() functions don't properly handle er...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://www.cve.mitre.org/cgi-bin/cven...
: Security
: 131395 (view as bug list)
Depends On:
Blocks: 145267
  Show dependency treegraph
 
Reported: 2004-08-31 16:18 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 23:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zlib-1.2.1.1-inflate.patch (1.20 KB, patch)
2004-08-31 16:19 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-08-31 16:18:06 EDT
Description of problem:
A vulnerability was reported in zlib. A remote user can cause denial 
of service conditions. Johan Thelmen reported that a specially 
crafted file can cause a segmentation fault in zlib. It is reported 
that the inflate() and inflateBack() functions do not properly handle  
errors. A user can create a file that when processed by zlib, will 
cause a segmentation fault. The specific impact depends on the 
application using zlib.

Have also a look to:
  http://www.securitytracker.com/alerts/2004/Aug/1011085.html

Version-Release number of selected component (if applicable):
zlib-1.2.1.1-3

Actual results:
I attached a patch which should solve the issue.

Expected results:
Fix of this issue for all affected versions ;-)

Additional info:
The patch originally is from Debian.
Comment 1 Robert Scheck 2004-08-31 16:19:38 EDT
Created attachment 103317 [details]
zlib-1.2.1.1-inflate.patch
Comment 2 Robert Scheck 2004-08-31 16:31:36 EDT
It seems so, that only Fedora Core 1, 2 and Development are affected 
of this issue. Red Hat Enterprise Linux 3 has the older 1.1.4 which 
not seems to be affected, but maybe you should check this.
Comment 3 Mark J. Cox (Product Security) 2004-09-01 04:20:54 EDT
Correct, 1.1* is unaffected.
Comment 4 Mark J. Cox (Product Security) 2004-09-01 04:21:36 EDT
*** Bug 131395 has been marked as a duplicate of this bug. ***
Comment 5 Robert Scheck 2004-09-11 09:14:10 EDT
Hey, what's up - why isn't the patch for the CAN included...does it 
hurt someone?!
Comment 6 Jeff Johnson 2004-09-14 07:28:48 EDT
zlib-1.2.1.2-1 built in fc3; fc1 and fc2 need doing too.
Comment 7 Jeff Johnson 2004-09-21 09:26:31 EDT
-0.fc1 and -0.fc2 now bult.
Comment 8 Mark J. Cox (Product Security) 2004-10-07 05:30:00 EDT
Did the FC2 update get pushed and announcements sent?  I don't see it
on the update site or on fedora-announce-list.
Comment 9 Mark J. Cox (Product Security) 2004-11-03 07:33:30 EST
Ping, no announcement has gone out to fedora-announce-list about this
issue.
Comment 10 Robert Scheck 2004-11-03 13:30:42 EST
This bug is neither a FC3 nor a FC4 target bug, it's a open issue 
only for FC2 now - and thank you for sleeping such long, now FC1 
isn't supported any longer. Maybe Warren should be added for a Legacy 
update... :-(
Comment 11 Mark J. Cox (Product Security) 2004-11-09 04:57:10 EST
fc2 update still not pushed to
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/SRPMS/
Comment 12 Robert Scheck 2004-12-16 17:28:39 EST
Could we please get this update for FC2 at least as christmas present? 
I don't want to find it as easter egg... ;-)
Comment 13 Enrico Scholz 2005-01-28 15:21:06 EST
what is the state of this bug?  Is it really impossible to fix a security
relevant bug within 5 months?
Comment 14 Robert Scheck 2005-01-28 16:06:29 EST
My last hope is, that Fedora Legacy fixes this security issue in May 
2005, when the outdated Fedora Core 2 is transfered to it...
Comment 15 Josh Bressers 2005-01-28 23:15:03 EST
Released as FEDORA-2005-095.
Comment 16 Warren Togami 2005-01-29 01:59:40 EST
According to jbj rebuilding these packages, even the one in FC4, should work
fine in earlier distributions.  It should be trivial for Legacy to issue updates
after proper testing.

Note You need to log in before you can comment on or make changes to this bug.